//
//  MBProcessSerialNumber.m
//  iTunesInterfaceTest
//
//  Created by Milo on 22/11/2006.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import "MBProcessSerialNumber.h"


@implementation MBProcessSerialNumber

- (id)initWithHighLong:(NSNumber *)newHighLong lowLong:(NSNumber *)newLowLong;
{
	if ([super init] == nil)
		return nil;
		
	_processSerialNumber.highLongOfPSN = [newHighLong unsignedLongValue];
	_processSerialNumber.lowLongOfPSN = [newLowLong unsignedLongValue];
	
	return self;
}

// NSObject
- (id)init
{
	return [self initWithHighLong:[NSNumber numberWithUnsignedLong:0] lowLong:[NSNumber numberWithUnsignedLong:0]];
}

- (NSAppleEventDescriptor *)targetDescriptor;
{
	return [NSAppleEventDescriptor descriptorWithDescriptorType:'psn ' bytes:&_processSerialNumber length:sizeof(_processSerialNumber)];
}

@end
